Subject: [PATCH v7 1/5] ARM: tegra: export apb dma readl/writel

From: [email-masked] (Stephen Warren)
Date: Thu, 05 Jun 2014 11:57:28 -0600

On 06/05/2014 07:09 AM, Peter De Schrijver wrote:
> Export APB DMA readl and writel. These are needed because we can't access
> the fuses directly on Tegra20 without potentially causing a system hang.
> Also have the APB DMA readl and writel return an error in case of a read
> failure instead of just returning zero or ignore write failures.

> diff --git a/include/linux/tegra-soc.h b/include/linux/tegra-soc.h

> +int tegra_apb_readl_using_dma(unsigned long offset, u32 *value);
> +int tegra_apb_writel_using_dma(u32 value, unsigned long offset);

Hmm. I wonder why we're exporting those low-level internal functions
rather than the higher-level tegra_apb_readl()/writel() wrappers that
"clients" are supposed to be using.